RTEMS: NXP QorIQ

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Modules | Files | Data Structures | Macros | Functions | Variables
NXP QorIQ
Board Support Packages » PowerPC

NXP QorIQ Board Support Package. More...

## Modules
| QorIQ - Inter-Processor Communication Support
| Inter-processor communication support.
| QorIQ - Interrupt Support
| Interrupt support.
| QorIQ - MMU Support
| MMU support.
| QorIQ - UART to Intercom Bridge Support
| UART to Intercom bridge support.

## Files
file | btimer.c
| QorIQ benchmark timer.
file | clock-config.c
| QorIQ clock configuration.
file | console-config.c
| Console configuration.
file | bsp.h
| Global BSP definitions.
file | qoriq.h
| QorIQ Configuration, Control and Status Registers.
file | tsec-config.h
| TSEC configuration.
file | tm27.h
| Support file for Timer Test 27.
file | irq.c
| Interrupt implementation.
file | network.c
| Network configuration.
file | rtc-config.c
| RTC configuration.
file | bspreset.c
| BSP reset.
file | bsprestart.c
| BSP restart.
file | bspstart.c
| BSP startup.

## Data Structures
struct | qoriq_start_spin_table

## Macros
#define | QORIQ_THREAD_COUNT QORIQ_PHYSICAL_THREAD_COUNT
#define | BSP_FEATURE_IRQ_EXTENSION
#define | BSP_FDT_IS_SUPPORTED
#define | QORIQ_CHIP(alpha, num) ((alpha) * 10000 + (num))
#define | QORIQ_CHIP_P1020 QORIQ_CHIP('P', 1020)
#define | QORIQ_CHIP_T2080 QORIQ_CHIP('T', 2080)
#define | QORIQ_CHIP_T4240 QORIQ_CHIP('T', 4240)
#define | QORIQ_CHIP_VARIANT QORIQ_CHIP(QORIQ_CHIP_SERIES, QORIQ_CHIP_NUMBER)
#define | QORIQ_CHIP_IS_T_VARIANT(variant) ((variant) / 10000 == 'T')
#define | BSP_IDLE_TASK_BODY bsp_idle_thread
#define | RTEMS_BSP_NETWORK_DRIVER_ATTACH BSP_tsec_attach
#define | RTEMS_BSP_NETWORK_DRIVER_ATTACH4 qoriq_if_intercom_attach_detach
#define | RTEMS_BSP_NETWORK_DRIVER_NAME "tsec1"
#define | RTEMS_BSP_NETWORK_DRIVER_NAME2 "tsec2"
#define | RTEMS_BSP_NETWORK_DRIVER_NAME3 "tsec3"
#define | RTEMS_BSP_NETWORK_DRIVER_NAME4 "intercom1"

## Functions
int | BSP_tsec_attach (struct rtems_bsdnet_ifconfig *config, int attaching)
int | qoriq_if_intercom_attach_detach (struct rtems_bsdnet_ifconfig *config, int attaching)
void | bsp_restart (void *addr) RTEMS_NO_RETURN
void * | bsp_idle_thread (uintptr_t ignored)
| Optimized idle task.
void | qoriq_start_thread (struct Per_CPU_Control *)
void | qoriq_restart_secondary_processor (const qoriq_start_spin_table *spin_table) RTEMS_NO_RETURN
void | qoriq_initialize_exceptions (void *interrupt_stack_begin)
void | qoriq_decrementer_dispatch (void)

## Variables
unsigned | BSP_bus_frequency
qoriq_start_spin_table * | qoriq_start_spin_table_addr [QORIQ_CPU_COUNT/QORIQ_THREAD_COUNT]
uint32_t | bsp_time_base_frequency
uint32_t | qoriq_clock_frequency

## Detailed Description

NXP QorIQ Board Support Package.

## Function Documentation

## ◆ bsp_idle_thread()

void * bsp_idle_thread | ( | uintptr_t | ignored | ) |

Optimized idle task.

This BSP provides its own IDLE thread to override the RTEMS one.

This idle task sets the power mode to idle. This causes the processor clock to be stopped, while on-chip peripherals remain active. Any enabled interrupt from a peripheral or an external interrupt source will cause the processor to resume execution.

To enable the idle task use the following in the system configuration:

#include <bsp.h>
#define CONFIGURE_INIT
#define CONFIGURE_IDLE_TASK_BODY bsp_idle_thread
#include <confdefs.h>
confdefs.h
Evaluate Configuration Options.

This BSP provides its own IDLE thread to override the RTEMS one.

Optimized idle task.

The MSR[POW] bit is set to put the CPU into the low power mode defined in HID0. HID0 is set during starup in start.S.

This BSP provides its own IDLE thread to override the RTEMS one.

This idle task sets the power mode to idle. This causes the processor clock to be stopped, while on-chip peripherals remain active. Any enabled interrupt from a peripheral or an external interrupt source will cause the processor to resume execution.

To enable the idle task use the following in the system configuration:

#include <bsp.h>
#define CONFIGURE_INIT
#define CONFIGURE_IDLE_TASK_BODY bsp_idle_thread
#include <confdefs.h>

Optimized idle task.

The MSR[POW] bit is set to put the CPU into the low power mode defined in HID0. HID0 is set during starup in start.S.